export { createAkimaSplineInterpolator, computeAkimaPolyCoefficients } from "./Akima.js";
export { createCubicSplineInterpolator, computeCubicPolyCoefficients } from "./Cubic.js";
export { createLinearInterpolator, computeLinearPolyCoefficients } from "./Linear.js";
export { createNearestNeighborInterpolator } from "./NearestNeighbor.js";
export { createLoessInterpolator } from "./Loess.js";
export { UniFunction } from "./Utils.js";
import { UniFunction } from "./Utils.js";
export declare type InterpolationMethod = "akima" | "cubic" | "linear" | "nearestNeighbor" | "loess";
export declare function createInterpolator(interpolationMethod: InterpolationMethod, xVals: ArrayLike<number>, yVals: ArrayLike<number>): UniFunction;
export declare function createInterpolatorWithFallback(interpolationMethod: InterpolationMethod, xVals: ArrayLike<number>, yVals: ArrayLike<number>): UniFunction;
